package com.diaoyun.zion.chinafrica.service.impl;

import com.diaoyun.zion.chinafrica.dao.TbCfUseCouponDao;
import com.diaoyun.zion.chinafrica.entity.TbCfUseCouponEntity;
import com.diaoyun.zion.chinafrica.service.TbCfUseCouponService;
import com.diaoyun.zion.master.util.IdUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * 使用优惠券记录Service实现类
 *
 * @author G
 * @date 2019-08-14 09:11:47
 */
@Service("tbCfUseCouponService")
public class TbCfUseCouponServiceImpl implements TbCfUseCouponService {
    @Autowired
    private TbCfUseCouponDao tbCfUseCouponDao;

    @Override
    public TbCfUseCouponEntity queryObject(String useId) {
        return tbCfUseCouponDao.queryObject(useId);
    }

    @Override
    public List<TbCfUseCouponEntity> queryList(Map<String, Object> map) {
        return tbCfUseCouponDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return tbCfUseCouponDao.queryTotal(map);
    }

    @Override
    public int save(TbCfUseCouponEntity tbCfUseCoupon) {
        tbCfUseCoupon.setUseId(IdUtil.createIdbyUUID());
        return tbCfUseCouponDao.save(tbCfUseCoupon);
    }

    @Override
    public int update(TbCfUseCouponEntity tbCfUseCoupon) {
        return tbCfUseCouponDao.update(tbCfUseCoupon);
    }

    @Override
    public int delete(String useId) {
        return tbCfUseCouponDao.delete(useId);
    }

    @Override
    public int deleteBatch(String[] useIds) {
        return tbCfUseCouponDao.deleteBatch(useIds);
    }
}
