package com.diaoyun.zion.chinafrica.dao;

import com.diaoyun.zion.chinafrica.entity.TbCfCouponEntity;
import com.diaoyun.zion.master.dao.BaseDao;

import java.util.Date;
import java.util.List;

/**
 * 优惠券表Dao
 *
 * @author G
 * @date 2019-08-14 09:11:48
 */
public interface TbCfCouponDao extends BaseDao<TbCfCouponEntity> {

    /**
     * 获取用户所有可以使用的优惠券
     * @param userId
     * @param date
     * @return
     */
    List<TbCfCouponEntity> queryUserAvailableCoupon(String userId, Date nowTime);
}
